Diego Biurrun <di...@biurrun.de> writes:

> ---
>  tests/fate.sh |   16 ++++++++--------
>  1 files changed, 8 insertions(+), 8 deletions(-)
>
> diff --git a/tests/fate.sh b/tests/fate.sh
> index 9fd117c..6015155 100755
> --- a/tests/fate.sh
> +++ b/tests/fate.sh
> @@ -21,7 +21,7 @@ test -d "$samples" || die "samples location not specified"
>
>  lock(){
>      lock=$1/fate.lock
> -    (set -C; exec >$lock) 2>/dev/null || return
> +    (set -C; exec > $lock) 2> /dev/null || return
>      trap 'rm $lock' EXIT
>  }
>
> @@ -75,8 +75,8 @@ clean(){
>
>  report(){
>      date=$(date -u +%Y%m%d%H%M%S)
> -    echo "fate:0:${date}:${slot}:${version}:$1:$2:${comment}" >report
> -    cat ${build}/config.fate ${build}/tests/data/fate/*.rep >>report
> +    echo "fate:0:${date}:${slot}:${version}:$1:$2:${comment}"  > report
> +    cat ${build}/config.fate ${build}/tests/data/fate/*.rep   >> report
>      test -n "$fate_recv" && $tar report *.log | gzip | $fate_recv
>  }
>
> @@ -99,14 +99,14 @@ test -d "$src" && update || checkout || die "Error 
> fetching source"
>  cd ${workdir}
>
>  version=$(${src}/version.sh ${src})
> -test "$version" = "$(cat version-$slot 2>/dev/null)" && exit 0
> -echo ${version} >version-$slot
> +test "$version" = "$(cat version-$slot 2> /dev/null)" && exit 0
> +echo ${version} > version-$slot
>
>  rm -rf "${build}" *.log
>  mkdir -p ${build}
>
> -configure >configure.log 2>&1 || fail $? "error configuring"
> -compile   >compile.log   2>&1 || fail $? "error compiling"
> -fate      >test.log      2>&1 || fail $? "error testing"
> +configure > configure.log 2>&1 || fail $? "error configuring"
> +compile   > compile.log   2>&1 || fail $? "error compiling"
> +fate      > test.log      2>&1 || fail $? "error testing"
>  report 0 success
>  clean
> -- 

Rejected.  I like it the way it is.

-- 
Måns Rullgård
m...@mansr.com
_______________________________________________
libav-devel mailing list
libav-devel@libav.org
https://lists.libav.org/mailman/listinfo/libav-devel

Reply via email to